<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/UserActionsComponent/Actions/SingleUse/Medical/ActionDisinfectSelf.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d5/dd7/_action_disinfect_self_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">ActionDisinfectSelf.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d5/dd7/_action_disinfect_self_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../dd/d41/class_action_disinfect_self_c_b.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../dd/d41/class_action_disinfect_self_c_b.html">ActionDisinfectSelfCB</a> : <a class="code hl_class" href="../../d0/dcc/class_action_continuous_base_c_b.html">ActionContinuousBaseCB</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../dd/d41/class_action_disinfect_self_c_b.html#a9dd4d87f28492aeb50c189c6dfb7bac8">    3</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/d41/class_action_disinfect_self_c_b.html#a9dd4d87f28492aeb50c189c6dfb7bac8">CreateActionComponent</a>()</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    {</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>        <a class="code hl_variable" href="../../dd/d7f/class_action_base_c_b.html#ab8c5796aa8f98fa679639b14db60813f">m_ActionData</a>.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a82934edb9e2ee84d9c8a45aa66242075">m_ActionComponent</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../d1/dc2/class_c_a_continuous_time.html">CAContinuousTime</a>(<a class="code hl_class" href="../../d8/d3b/class_u_a_time_spent.html">UATimeSpent</a>.<a class="code hl_variable" href="../../d8/d3b/class_u_a_time_spent.html#ae9be680b44eb066fac15f2ab9d03aa6c">DEFAULT</a>);</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>    }</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>};</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span> </div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno"><a class="line" href="../../df/d28/class_action_disinfect_base.html">    9</a></span><span class="keyword">class </span><a class="code hl_class" href="../../df/d28/class_action_disinfect_base.html">ActionDisinfectBase</a>: <a class="code hl_class" href="../../d6/d3f/class_action_continuous_base.html">ActionContinuousBase</a></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>{</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="../../df/d28/class_action_disinfect_base.html#a373a250d9ac1ec11ef6fd510980c43a2">   11</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/d28/class_action_disinfect_base.html#a373a250d9ac1ec11ef6fd510980c43a2">Apply</a>( <a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data )</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>    {</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>        <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> item = action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">m_MainItem</a>;</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>        item.AddQuantity(-item.GetDisinfectQuantity());</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        </div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    }</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>}</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span> </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span> </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span><span class="keyword">class </span><a class="code hl_function" href="../../d5/dd7/_action_disinfect_self_8c.html#a2b51228f049403e15dcfaed3b197b6fd">ActionDisinfectSelf</a>: <a class="code hl_class" href="../../df/d28/class_action_disinfect_base.html">ActionDisinfectBase</a></div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>{</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno"><a class="line" href="../../d5/dd7/_action_disinfect_self_8c.html#abf3e6d13e9cf38b652eaf97bdd468ac7">   22</a></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d5/dd7/_action_disinfect_self_8c.html#abf3e6d13e9cf38b652eaf97bdd468ac7">m_GramsConsumedPerUse</a>;<span class="comment">//left for legacy reasons</span></div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno"><a class="line" href="../../d5/dd7/_action_disinfect_self_8c.html#a2b51228f049403e15dcfaed3b197b6fd">   24</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/dd7/_action_disinfect_self_8c.html#a2b51228f049403e15dcfaed3b197b6fd">ActionDisinfectSelf</a>()</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    {</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        m_CallbackClass = <a class="code hl_class" href="../../dd/d41/class_action_disinfect_self_c_b.html">ActionDisinfectSelfCB</a>;</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#a37c66588f056fd9eb9eb3a4c4890083d">m_SpecialtyWeight</a> = <a class="code hl_class" href="../../d0/dbd/class_u_a_soft_skills_weight.html">UASoftSkillsWeight</a>.<a class="code hl_variable" href="../../d0/dbd/class_u_a_soft_skills_weight.html#aca0b0ad8f2753c2d1ba69ca1cf7baf55">PRECISE_LOW</a>;</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        m_CommandUID = <a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a>.CMD_ACTIONFB_STITCHUPSELF;</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#adb7a179f0ce9195c7dc300367bbaf51a">m_FullBody</a> = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#adc0813e96c27638edc8c57cfbaa30c25">m_StanceMask</a> = <a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a>.STANCEMASK_ERECT | <a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a>.STANCEMASK_CROUCH;</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#acfd9461deb0a3259e0f775fead5961d3">m_Text</a> = <span class="stringliteral">&quot;#disinfect_self&quot;</span>;</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    }</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>    </div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno"><a class="line" href="../../d5/dd7/_action_disinfect_self_8c.html#a6b922d3bb1d26f790bc52030566ba2df">   34</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/dd7/_action_disinfect_self_8c.html#a6b922d3bb1d26f790bc52030566ba2df">CreateConditionComponents</a>()  </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>    {   </div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#a733279ad481ba700333db91fa140e910">m_ConditionItem</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../de/d86/class_c_c_i_non_ruined.html">CCINonRuined</a>;</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#a81fd8dac008261b8f2062657a645b0d4">m_ConditionTarget</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../d6/df3/class_c_c_t_self.html">CCTSelf</a>;</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>    }</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span> </div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno"><a class="line" href="../../d5/dd7/_action_disinfect_self_8c.html#ab80733e1a8c145c8ee7b04476d535d72">   40</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d5/dd7/_action_disinfect_self_8c.html#ab80733e1a8c145c8ee7b04476d535d72">HasTarget</a>()</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    {</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    }</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    </div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno"><a class="line" href="../../d5/dd7/_action_disinfect_self_8c.html#aa9aa4864fae11769c65e644b5fd97c66">   45</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d5/dd7/_action_disinfect_self_8c.html#aa9aa4864fae11769c65e644b5fd97c66">ActionCondition</a>( <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="code hl_variable" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> item )</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    {</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        <span class="keywordflow">return</span> (player.IsBleeding() || (player.m_SyncedModifiers &amp; <a class="code hl_enumeration" href="../../d3/d3c/_modifiers_manager_8c.html#a5c1716899a303fbac8533337fbc6ceb0">eModifierSyncIDs</a>.MODIFIER_SYNC_WOUND_INFECT_1) || (player.m_SyncedModifiers &amp; <a class="code hl_enumeration" href="../../d3/d3c/_modifiers_manager_8c.html#a5c1716899a303fbac8533337fbc6ceb0">eModifierSyncIDs</a>.MODIFIER_SYNC_WOUND_INFECT_2));</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>    }</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>    </div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span> </div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno"><a class="line" href="../../d5/dd7/_action_disinfect_self_8c.html#a00cda41fe9dd093059da5c4b83b591bc">   51</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/d3f/class_action_continuous_base.html#ae6fe10fd2a2c6266cf5cb1b6d62d826f">OnFinishProgressServer</a>( <a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data )</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>    {</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        </div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        <span class="keywordflow">if</span>( action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.GetModifiersManager().IsModifierActive(<a class="code hl_enumeration" href="../../d9/d19/e_modifiers_8c.html#a38544df67f7f5b2fdf488d7705d7a582">eModifiers</a>.MDF_DISINFECTION))<span class="comment">//effectively resets the timer</span></div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        {</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>            action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.GetModifiersManager().DeactivateModifier( <a class="code hl_enumeration" href="../../d9/d19/e_modifiers_8c.html#a38544df67f7f5b2fdf488d7705d7a582">eModifiers</a>.MDF_DISINFECTION );</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>        }</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.GetModifiersManager().ActivateModifier( <a class="code hl_enumeration" href="../../d9/d19/e_modifiers_8c.html#a38544df67f7f5b2fdf488d7705d7a582">eModifiers</a>.MDF_DISINFECTION );</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span> </div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        <a class="code hl_function" href="../../df/d28/class_action_disinfect_base.html#a373a250d9ac1ec11ef6fd510980c43a2">Apply</a>(action_data);</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>    }</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span> </div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>    </div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>};</div>
<div class="ttc" id="a_action_base_8c_html_a37c66588f056fd9eb9eb3a4c4890083d"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#a37c66588f056fd9eb9eb3a4c4890083d">m_SpecialtyWeight</a></div><div class="ttdeci">protected float m_SpecialtyWeight</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00068">ActionBase.c:68</a></div></div>
<div class="ttc" id="a_action_base_8c_html_a733279ad481ba700333db91fa140e910"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#a733279ad481ba700333db91fa140e910">m_ConditionItem</a></div><div class="ttdeci">ref CCIBase m_ConditionItem</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00055">ActionBase.c:55</a></div></div>
<div class="ttc" id="a_action_base_8c_html_a81fd8dac008261b8f2062657a645b0d4"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#a81fd8dac008261b8f2062657a645b0d4">m_ConditionTarget</a></div><div class="ttdeci">ref CCTBase m_ConditionTarget</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00056">ActionBase.c:56</a></div></div>
<div class="ttc" id="a_action_base_8c_html_acfd9461deb0a3259e0f775fead5961d3"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#acfd9461deb0a3259e0f775fead5961d3">m_Text</a></div><div class="ttdeci">protected string m_Text</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00049">ActionBase.c:49</a></div></div>
<div class="ttc" id="a_action_base_8c_html_adb7a179f0ce9195c7dc300367bbaf51a"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#adb7a179f0ce9195c7dc300367bbaf51a">m_FullBody</a></div><div class="ttdeci">protected bool m_FullBody</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00052">ActionBase.c:52</a></div></div>
<div class="ttc" id="a_action_base_8c_html_adc0813e96c27638edc8c57cfbaa30c25"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#adc0813e96c27638edc8c57cfbaa30c25">m_StanceMask</a></div><div class="ttdeci">protected int m_StanceMask</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00053">ActionBase.c:53</a></div></div>
<div class="ttc" id="a_action_disinfect_self_8c_html_a2b51228f049403e15dcfaed3b197b6fd"><div class="ttname"><a href="../../d5/dd7/_action_disinfect_self_8c.html#a2b51228f049403e15dcfaed3b197b6fd">ActionDisinfectSelf</a></div><div class="ttdeci">void ActionDisinfectSelf()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dd7/_action_disinfect_self_8c_source.html#l00024">ActionDisinfectSelf.c:24</a></div></div>
<div class="ttc" id="a_action_disinfect_self_8c_html_a6b922d3bb1d26f790bc52030566ba2df"><div class="ttname"><a href="../../d5/dd7/_action_disinfect_self_8c.html#a6b922d3bb1d26f790bc52030566ba2df">CreateConditionComponents</a></div><div class="ttdeci">override void CreateConditionComponents()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dd7/_action_disinfect_self_8c_source.html#l00034">ActionDisinfectSelf.c:34</a></div></div>
<div class="ttc" id="a_action_disinfect_self_8c_html_aa9aa4864fae11769c65e644b5fd97c66"><div class="ttname"><a href="../../d5/dd7/_action_disinfect_self_8c.html#aa9aa4864fae11769c65e644b5fd97c66">ActionCondition</a></div><div class="ttdeci">override bool ActionCondition(PlayerBase player, ActionTarget target, ItemBase item)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dd7/_action_disinfect_self_8c_source.html#l00045">ActionDisinfectSelf.c:45</a></div></div>
<div class="ttc" id="a_action_disinfect_self_8c_html_ab80733e1a8c145c8ee7b04476d535d72"><div class="ttname"><a href="../../d5/dd7/_action_disinfect_self_8c.html#ab80733e1a8c145c8ee7b04476d535d72">HasTarget</a></div><div class="ttdeci">override bool HasTarget()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dd7/_action_disinfect_self_8c_source.html#l00040">ActionDisinfectSelf.c:40</a></div></div>
<div class="ttc" id="a_action_disinfect_self_8c_html_abf3e6d13e9cf38b652eaf97bdd468ac7"><div class="ttname"><a href="../../d5/dd7/_action_disinfect_self_8c.html#abf3e6d13e9cf38b652eaf97bdd468ac7">m_GramsConsumedPerUse</a></div><div class="ttdeci">ActionDisinfectBase m_GramsConsumedPerUse</div></div>
<div class="ttc" id="a_action_targets_8c_html_a2ab3de6f698cb230ae0c129e3e01b341"><div class="ttname"><a href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a></div><div class="ttdeci">class ActionTargets ActionTarget</div></div>
<div class="ttc" id="a_modifiers_manager_8c_html_a5c1716899a303fbac8533337fbc6ceb0"><div class="ttname"><a href="../../d3/d3c/_modifiers_manager_8c.html#a5c1716899a303fbac8533337fbc6ceb0">eModifierSyncIDs</a></div><div class="ttdeci">eModifierSyncIDs</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d3c/_modifiers_manager_8c_source.html#l00002">ModifiersManager.c:3</a></div></div>
<div class="ttc" id="aclass_action_base_c_b_html_ab8c5796aa8f98fa679639b14db60813f"><div class="ttname"><a href="../../dd/d7f/class_action_base_c_b.html#ab8c5796aa8f98fa679639b14db60813f">ActionBaseCB::m_ActionData</a></div><div class="ttdeci">protected ActionData m_ActionData</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dad/_animated_action_base_8c_source.html#l00003">AnimatedActionBase.c:3</a></div></div>
<div class="ttc" id="aclass_action_continuous_base_c_b_html"><div class="ttname"><a href="../../d0/dcc/class_action_continuous_base_c_b.html">ActionContinuousBaseCB</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d96/_action_continuous_base_8c_source.html#l00001">ActionContinuousBase.c:2</a></div></div>
<div class="ttc" id="aclass_action_continuous_base_html"><div class="ttname"><a href="../../d6/d3f/class_action_continuous_base.html">ActionContinuousBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d96/_action_continuous_base_8c_source.html#l00131">ActionContinuousBase.c:132</a></div></div>
<div class="ttc" id="aclass_action_continuous_base_html_ae6fe10fd2a2c6266cf5cb1b6d62d826f"><div class="ttname"><a href="../../d6/d3f/class_action_continuous_base.html#ae6fe10fd2a2c6266cf5cb1b6d62d826f">ActionContinuousBase::OnFinishProgressServer</a></div><div class="ttdeci">protected void OnFinishProgressServer(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d96/_action_continuous_base_8c_source.html#l00248">ActionContinuousBase.c:248</a></div></div>
<div class="ttc" id="aclass_action_data_html"><div class="ttname"><a href="../../da/d5a/class_action_data.html">ActionData</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00020">ActionBase.c:21</a></div></div>
<div class="ttc" id="aclass_action_data_html_a219946226b0958a6dfaf2c880ff576e9"><div class="ttname"><a href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">ActionData::m_Player</a></div><div class="ttdeci">PlayerBase m_Player</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00033">ActionBase.c:33</a></div></div>
<div class="ttc" id="aclass_action_data_html_a82934edb9e2ee84d9c8a45aa66242075"><div class="ttname"><a href="../../da/d5a/class_action_data.html#a82934edb9e2ee84d9c8a45aa66242075">ActionData::m_ActionComponent</a></div><div class="ttdeci">ref CABase m_ActionComponent</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00030">ActionBase.c:30</a></div></div>
<div class="ttc" id="aclass_action_data_html_adbe781e3bcf840ec9eeaa2d0d005eb6f"><div class="ttname"><a href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">ActionData::m_MainItem</a></div><div class="ttdeci">ItemBase m_MainItem</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00028">ActionBase.c:28</a></div></div>
<div class="ttc" id="aclass_action_disinfect_base_html"><div class="ttname"><a href="../../df/d28/class_action_disinfect_base.html">ActionDisinfectBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dd7/_action_disinfect_self_8c_source.html#l00009">ActionDisinfectSelf.c:10</a></div></div>
<div class="ttc" id="aclass_action_disinfect_base_html_a373a250d9ac1ec11ef6fd510980c43a2"><div class="ttname"><a href="../../df/d28/class_action_disinfect_base.html#a373a250d9ac1ec11ef6fd510980c43a2">ActionDisinfectBase::Apply</a></div><div class="ttdeci">void Apply(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dd7/_action_disinfect_self_8c_source.html#l00011">ActionDisinfectSelf.c:11</a></div></div>
<div class="ttc" id="aclass_action_disinfect_self_c_b_html"><div class="ttname"><a href="../../dd/d41/class_action_disinfect_self_c_b.html">ActionDisinfectSelfCB</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dd7/_action_disinfect_self_8c_source.html#l00001">ActionDisinfectSelf.c:2</a></div></div>
<div class="ttc" id="aclass_action_disinfect_self_c_b_html_a9dd4d87f28492aeb50c189c6dfb7bac8"><div class="ttname"><a href="../../dd/d41/class_action_disinfect_self_c_b.html#a9dd4d87f28492aeb50c189c6dfb7bac8">ActionDisinfectSelfCB::CreateActionComponent</a></div><div class="ttdeci">override void CreateActionComponent()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dd7/_action_disinfect_self_8c_source.html#l00003">ActionDisinfectSelf.c:3</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_time_html"><div class="ttname"><a href="../../d1/dc2/class_c_a_continuous_time.html">CAContinuousTime</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/daa/_c_a_continuous_time_8c_source.html#l00001">CAContinuousTime.c:2</a></div></div>
<div class="ttc" id="aclass_c_c_i_non_ruined_html"><div class="ttname"><a href="../../de/d86/class_c_c_i_non_ruined.html">CCINonRuined</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d96/_c_c_i_non_ruined_8c_source.html#l00001">CCINonRuined.c:2</a></div></div>
<div class="ttc" id="aclass_c_c_t_self_html"><div class="ttname"><a href="../../d6/df3/class_c_c_t_self.html">CCTSelf</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/d58/_c_c_t_self_8c_source.html#l00001">CCTSelf.c:2</a></div></div>
<div class="ttc" id="aclass_item_base_html"><div class="ttname"><a href="../../de/d7a/class_item_base.html">ItemBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d82/4___world_2_entities_2_core_2_inherited_2_inventory_item_8c_source.html#l00516">InventoryItem.c:517</a></div></div>
<div class="ttc" id="aclass_player_base_html"><div class="ttname"><a href="../../d5/da8/class_player_base.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d23/_player_base_client_8c_source.html#l00001">PlayerBaseClient.c:2</a></div></div>
<div class="ttc" id="aclass_u_a_soft_skills_weight_html"><div class="ttname"><a href="../../d0/dbd/class_u_a_soft_skills_weight.html">UASoftSkillsWeight</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dee/_action_constants_8c_source.html#l00114">ActionConstants.c:115</a></div></div>
<div class="ttc" id="aclass_u_a_soft_skills_weight_html_aca0b0ad8f2753c2d1ba69ca1cf7baf55"><div class="ttname"><a href="../../d0/dbd/class_u_a_soft_skills_weight.html#aca0b0ad8f2753c2d1ba69ca1cf7baf55">UASoftSkillsWeight::PRECISE_LOW</a></div><div class="ttdeci">const float PRECISE_LOW</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dee/_action_constants_8c_source.html#l00119">ActionConstants.c:119</a></div></div>
<div class="ttc" id="aclass_u_a_time_spent_html"><div class="ttname"><a href="../../d8/d3b/class_u_a_time_spent.html">UATimeSpent</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dee/_action_constants_8c_source.html#l00026">ActionConstants.c:27</a></div></div>
<div class="ttc" id="aclass_u_a_time_spent_html_ae9be680b44eb066fac15f2ab9d03aa6c"><div class="ttname"><a href="../../d8/d3b/class_u_a_time_spent.html#ae9be680b44eb066fac15f2ab9d03aa6c">UATimeSpent::DEFAULT</a></div><div class="ttdeci">const float DEFAULT</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dee/_action_constants_8c_source.html#l00028">ActionConstants.c:28</a></div></div>
<div class="ttc" id="adayzplayer_8c_html_a6fd289b7043f1412362529ab769d7881"><div class="ttname"><a href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a></div><div class="ttdeci">DayZPlayerConstants</div><div class="ttdoc">defined in C++</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d58/dayzplayer_8c_source.html#l00573">dayzplayer.c:574</a></div></div>
<div class="ttc" id="ae_modifiers_8c_html_a38544df67f7f5b2fdf488d7705d7a582"><div class="ttname"><a href="../../d9/d19/e_modifiers_8c.html#a38544df67f7f5b2fdf488d7705d7a582">eModifiers</a></div><div class="ttdeci">eModifiers</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d19/e_modifiers_8c_source.html#l00001">eModifiers.c:2</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_976f257c008027d90ba95fd06280e667.html">UserActionsComponent</a></li><li class="navelem"><a class="el" href="../../dir_cff468948886a8a387c16d73219adaa9.html">Actions</a></li><li class="navelem"><a class="el" href="../../dir_10c38a35488a6c6e18a576a925896ff8.html">SingleUse</a></li><li class="navelem"><a class="el" href="../../dir_66271a146abc2a19aaadbfd18e7f34e5.html">Medical</a></li><li class="navelem"><a class="el" href="../../d5/dd7/_action_disinfect_self_8c.html">ActionDisinfectSelf.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
